---
title: '::-moz-range-thumb'
slug: 'Web/CSS/::-moz-range-thumb'
tags:
  - CSS
  - 'CSS:Mozilla Extensions'
  - Non-standard
  - Pseudo-element
  - Reference
  - Selector
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <strong><code>::-moz-range-thumb</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-element</a> is a <a href="/en-US/docs/Web/CSS/Mozilla_Extensions">Mozilla extension</a> that represents the <em>thumb</em> (i.e., virtual knob) of an {{HTMLElement("input")}} of <code>type="range"</code>. The user can move the thumb along the input's track to alter its numerical value.</p>

<div class="note">
<p><strong>Note:</strong> Using <code>::-moz-range-thumb</code> with anything but an <code>&lt;input type="range"&gt;</code> doesn't match anything and has no effect.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;input type="range" min="0" max="100" step="5" value="50"/&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">input[type=range]::-moz-range-thumb {
  background-color: green;
}
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", 300, 50)}}</p>

<p>A progress bar using this style might look something like this:</p>

<p><img alt="The thumb of the &lt;input type=right> styled in green" src="https://mdn.mozillademos.org/files/12027/Screen%20Shot%202015-12-04%20at%2013.30.08.png"></p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.-moz-range-thumb")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The pseudo-elements used by Gecko to style other parts of a range input:
  <ul>
   <li>{{cssxref("::-moz-range-track")}} represents the groove in which the thumb slides.</li>
   <li>{{cssxref("::-moz-range-progress")}} represents the lower portion of the track.</li>
  </ul>
 </li>
 <li>Similar pseudo-elements used by other browsers:
  <ul>
   <li>{{cssxref("::-webkit-slider-thumb")}}, pseudo-element supported by WebKit and Blink (Safari, Chrome, and Opera)</li>
   <li>{{cssxref("::-ms-thumb")}}, pseudo-element supported by Internet Explorer and Edge</li>
  </ul>
 </li>
 <li><a href="https://css-tricks.com/styling-cross-browser-compatible-range-inputs-css/">CSS-Tricks: Styling Cross-Browser Compatible Range Inputs with CSS</a></li>
 <li><a href="http://www.quirksmode.org/blog/archives/2015/11/styling_and_scr.html">QuirksMode: Styling and scripting sliders</a></li>
</ul>
